Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetTopLevelGroupsTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetTopLevelGroupsTag

public class GetTopLevelGroupsTag
extends UserManagementTag

Corresponds to `<um:getTopLevelGroups>`.

The `<um:getTopLevelGroups>` tag retrieves an array of `com.beasys.commerce.axiom.contact.Group` objects, each of which has no parent group. The information is taken from the personalization server database tables, and reflects the group hierarchy information as set up from the Group administration and Realm Configuration administration tools. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
id | yes | String | A variable name to which the top-level Group objects are available for the duration of the page's scope. Example: "topLevelGroups"

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetTopLevelGroupsTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to retrieve a list of top level groups.

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager, release`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTopLevelGroupsTag

    public GetTopLevelGroupsTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to retrieve a list of top level groups.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved